WordPress 2.0.4

The WordPress developers have just released WordPress version 2.0.4, a bug-fix and security patch release.

The security flaw it fixes is so easily exploitable that if you’re a WordPress user you need to run not walk to the WP download site and upgrade today.


  1. Upon your recommendation I performed the upgrade during lunch. When I ran the wp-admin/upgrade.php I returned this error:

    Fatal error: Call to undefined function: wp_get_referer() in /home/mtgarden/public_html/wp-admin/upgrade.php on line 70

    Could you give me a suggestion on this?


  2. Usually that’s a sign that you haven’t properly eliminated all of the old files from the previous version. (Of course only after backing up everything) delete everything except the stuff you need to keep during the upgrade: the wp-config.php file, .htaccess file, and wp-content directory.

    Then upload again the new files.

    See here for details. You might find additional ideas at the WordPress support forums.

Post a Comment

Your email is never shared. Required fields are marked *